CK_BITMAP_INIT(3)

NAME
ck_bitmap_init - initialize a bitmap

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_bitmap.h>
void
ck_bitmap_init(ck_bitmap_t *bitmap, unsigned int n_bits, bool set);

DESCRIPTION
The ck_bitmap_init() function initializes the bitmap pointed to by the bitmap pointer. The argument n_bits specifies the number of bits that are to be stored in the bitmap. The argument set determines whether the values of the bits in bitmap are to be initialized to 1 or 0.

It is expected that bitmap points to a contiguous region of memory containing at least the number of bytes specified by ck_bitmap_size(3).

RETURN VALUES
This function has no return value.

ERRORS

The behavior of ck_bitmap_init() is undefined if bitmap is not a pointer to a region of bytes of at least ck_bitmap_size(3) length.

SEE ALSO
ck_bitmap_base(3), ck_bitmap_size(3), ck_bitmap_set(3), ck_bitmap_reset(3), ck_bitmap_clear(3), ck_bitmap_test(3), ck_bitmap_bits(3), ck_bitmap_buffer(3)

Additional information available at http://concurrencykit.org/